Elantech clickpad/touchpad lacks multitouch features.

Bug #1166442 reported by G.Scoppino on 2013-04-08
404
This bug affects 79 people
Affects Status Importance Assigned to Milestone
linux (Arch Linux)
New
Undecided
Unassigned
linux (Ubuntu)
Medium
arushi
Precise
Medium
Joseph Salisbury
Quantal
Medium
Joseph Salisbury
Raring
Medium
Joseph Salisbury
Saucy
Medium
Joseph Salisbury

Bug Description

Newer versions of the Elantech multitouch trackpad are not fully supported in Linux. These appear in many of the newer Samsung laptops, for example. elantech.c in the kernel needs to be updated to support these models (up to v7 perhaps?)

This bug is confirmed to affect a range of samsung laptops running Ubuntu 12.04 and newer, ArchLinux, Fedora and also affects the current (3.9) upstream kernel.

A dkms package was produced in 2011 (see https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/681904/comments/64) which may fix certain older laptops affected by this issue, but doesn't fix newer models.

== Original Report ==

Hello,

So far I've been having a problem with my Elantech multitouch trackpad in Linux. Basically all i get is right click, left click, and tap to click, along with basic movement. The problem seems to be rooted in improper detection of the trackpad, likely b/c its a new revision or whatnot. Of note is that working elantech trackpads of the past in forums i scouted through show up as "ETPS/2 Elantech Touchpad". Mine just shows up in xinput as "PS/2 Elantech Touchpad". I think this might be a simple fix in the end, just improper detection, I hope. For reference, I've tried kernel 3.5 on Ubuntu 12.10 and kernel 3.8.0-17 on Ubuntu 13.04 thus far, with all combinations of psmouse.
------------------------------------------------------------------------------------------
What's expected: touchpad multitouch support
What happened: basic touchpad support
Laptop mode: Samsung Series 7 NP780 series
Ubuntu distro(s) tested: Ubuntu 12.10, Ubuntu 13.04
Kernels used: 3.5 signed (Ubuntu 12.10 default), 3.8.0-16, 3.8.0-17 signed
Other tests: Attempted using psmouse-elantech-v6, psmouse-alps, and psmouse-alps-dst. No improvements so removed.

synclient -l reports "Couldn't find synaptics properties. No synaptics driver loaded?"
------------------------------------------------------------------------------------------
See attached for more info. Ask anything you need!
---
ApportVersion: 2.9.2-0ubuntu5
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: gscoppino 2272 F.... pulseaudio
DistroRelease: Ubuntu 13.04
HibernationDevice: RESUME=UUID=f683852c-7aa0-4f32-8b86-56f0a018989d
InstallationDate: Installed on 2013-04-06 (3 days ago)
InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Release amd64 (20121017.5)
MachineType: SAMSUNG ELECTRONICS CO., LTD. 770Z5E/780Z5E/870Z5E/880Z5E
MarkForUpload: True
Package: linux (not installed)
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.8.0-17-generic.efi.signed root=UUID=cf39fbe5-c8ff-4d16-b11e-a41a4f3ae955 ro quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 3.8.0-17.27-generic 3.8.6
RelatedPackageVersions:
 linux-restricted-modules-3.8.0-17-generic N/A
 linux-backports-modules-3.8.0-17-generic N/A
 linux-firmware 1.104
StagingDrivers: rts5139
Tags: raring staging
Uname: Linux 3.8.0-17-generic x86_64
UpgradeStatus: Upgraded to raring on 2013-04-06 (3 days ago)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
dmi.bios.date: 02/26/2013
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: P03ABU.139.130226.SK
dmi.board.asset.tag: No Asset Tag
dmi.board.name: NP780Z5E-S01UB
dmi.board.vendor: SAMSUNG ELECTRONICS CO., LTD.
dmi.board.version: SEC_SW_REVISION_1234567890ABCD
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 9
dmi.chassis.vendor: SAMSUNG ELECTRONICS CO., LTD.
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrP03ABU.139.130226.SK:bd02/26/2013:svnSAMSUNGELECTRONICSCO.,LTD.:pn770Z5E/780Z5E/870Z5E/880Z5E:pvrP03ABU:rvnSAMSUNGELECTRONICSCO.,LTD.:rnNP780Z5E-S01UB:rvrSEC_SW_REVISION_1234567890ABCD:cvnSAMSUNGELECTRONICSCO.,LTD.:ct9:cvrN/A:
dmi.product.name: 770Z5E/780Z5E/870Z5E/880Z5E
dmi.product.version: P03ABU
dmi.sys.vendor: SAMSUNG ELECTRONICS CO., LTD.
---
ApportVersion: 2.9.2-0ubuntu5
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: gscoppino 2272 F.... pulseaudio
DistroRelease: Ubuntu 13.04
HibernationDevice: RESUME=UUID=f683852c-7aa0-4f32-8b86-56f0a018989d
InstallationDate: Installed on 2013-04-06 (3 days ago)
InstallationMedia: Ubuntu 12.10 "Quantal Quetzal" - Release amd64 (20121017.5)
MachineType: SAMSUNG ELECTRONICS CO., LTD. 770Z5E/780Z5E/870Z5E/880Z5E
MarkForUpload: True
Package: linux (not installed)
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.8.0-17-generic.efi.signed root=UUID=cf39fbe5-c8ff-4d16-b11e-a41a4f3ae955 ro quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 3.8.0-17.27-generic 3.8.6
RelatedPackageVersions:
 linux-restricted-modules-3.8.0-17-generic N/A
 linux-backports-modules-3.8.0-17-generic N/A
 linux-firmware 1.104
StagingDrivers: rts5139
Tags: raring staging
Uname: Linux 3.8.0-17-generic x86_64
UpgradeStatus: Upgraded to raring on 2013-04-06 (3 days ago)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
dmi.bios.date: 02/26/2013
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: P03ABU.139.130226.SK
dmi.board.asset.tag: No Asset Tag
dmi.board.name: NP780Z5E-S01UB
dmi.board.vendor: SAMSUNG ELECTRONICS CO., LTD.
dmi.board.version: SEC_SW_REVISION_1234567890ABCD
dmi.chassis.asset.tag: No Asset Tag
dmi.chassis.type: 9
dmi.chassis.vendor: SAMSUNG ELECTRONICS CO., LTD.
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrP03ABU.139.130226.SK:bd02/26/2013:svnSAMSUNGELECTRONICSCO.,LTD.:pn770Z5E/780Z5E/870Z5E/880Z5E:pvrP03ABU:rvnSAMSUNGELECTRONICSCO.,LTD.:rnNP780Z5E-S01UB:rvrSEC_SW_REVISION_1234567890ABCD:cvnSAMSUNGELECTRONICSCO.,LTD.:ct9:cvrN/A:
dmi.product.name: 770Z5E/780Z5E/870Z5E/880Z5E
dmi.product.version: P03ABU
dmi.sys.vendor: SAMSUNG ELECTRONICS CO., LTD.

G.Scoppino (peppe1994) wrote :
G.Scoppino (peppe1994) wrote :
G.Scoppino (peppe1994) wrote :
G.Scoppino (peppe1994) wrote :
G.Scoppino (peppe1994) wrote :
G.Scoppino (peppe1994) wrote :
description: updated
description: updated
description: updated
G.Scoppino (peppe1994) on 2013-04-08
tags: added: elantech
tags: added: 12.10 13.04 clickpad multitouch np780 synaptics touchpad trackpad ubuntu
Ahmed Shams (ashams) wrote :

moving to kernel

affects: xserver-xorg-input-synaptics (Ubuntu) → linux (Ubuntu)
Changed in linux (Ubuntu):
importance: Undecided → Low

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 1166442

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
tags: added: raring

apport information

tags: added: apport-collected staging
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

description: updated

apport information

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
G.Scoppino (peppe1994) wrote :

Uploaded apport info (twice by accident :P ) and changed the status. Thanks for the quick feedback guys!

Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v3.9 kernel[0]. You will need to install both the linux-image and linux-image-extra .deb packages.

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream'.
Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.9-rc6-raring/

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
G.Scoppino (peppe1994) wrote :

Unfortunately I have this system set up through Secure Boot/UEFI (grrrr...) so I cannot test anything other than signed Linux images. I'm on the latest kernel I can use right now. But looking at the changelogs I see nothing benefitting my problem.

G.Scoppino (peppe1994) wrote :

Also I use this computer for work so I cannot risk disabling secure boot/uefi and potentially damaging my UEFI manufacturer's Windows 8 installation :(

tags: added: kernel-unable-to-test-upstream
Georgi Baldzhiev (gkb-4) wrote :

I install kernel 3.9 on ubuntu 13.04 and touchpad dont work

if somebody can tell me linux command to do and put output here ?

regards
Georgi

(\/)alevolence (justin-wood) wrote :

This bug is also affecting me on a Samsung NP740U. Anything I can attach to help debug?

G.Scoppino (peppe1994) wrote :

OK, I'm now running kernel 3.9 rc6 and the situation is the same as before :(

tags: added: kernel-bug-exists-upstream
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
tom enix (tenickl) wrote :

The same bug is affecting me on a Samsung NP530U4E. Ubuntu 13.04, anything i can do to help debug?

Julien Hirel (julien-hirel) wrote :

Same here on a samsung np770z5e

Running synclient -l gives:
Couldn't find synaptics properties. No synaptics driver loaded?

And I also have this output during the boot:
psmouse serio1: elantech: unknown hardware version, aborting...

data (data) wrote :

I have the same problem as Julien. This is on a Samsung 900x3e a01. Same error message in dmesg, same output when running synclient and no mentioning of synaptics in the xorg.0.log.

I have a Samsung NP900X3E-A02 with Ubuntu 12.04 and I see the exact same problem with same things in kernel and xorg log

brenix (brenix) wrote :

Samsung 9 Series here with Archlinux and kernel 3.8-3.9. Same exact issues as stated. Using psmouse-elantec-v6.

Henning L-H (henninglh) wrote :

Samsung 900x3e here. Tried with 12.04, 12.10 and 13.04 without any success. Exactly the same problem...

Riccardo Rizzo (berberik) wrote :

Samsung np730u3e here with Ubuntu 13.04. Same exact issues as stated

Luis Grangeia (luis-grangeia) wrote :

Samsung np730u3e here with Ubuntu 13.04. Same exact issues as stated.

v-max (v-max) wrote :

Samsung 900x3e with Ubuntu 13.04. Same exact issues as stated.

djo (stadja) wrote :

Samsung np730u3e here with Ubuntu 13.04. Same exact issues as stated

tags: added: np730u3e
Murmlos (murmlos) wrote :

Arch Linux
Kernel 3.9.0

I have the same problem on a Samsung 900X3E.

Let me know if you need any logs or want me to try anything..

Paul Wolfger (p-wolfger) wrote :

Fedora 19 on Samsung np730u3e: same issues

burdandrei (burdandrei) wrote :

Samsung np730u3e here with Ubuntu 13.04. no gestures or multitouch

Patrick (bpd23) wrote :

Avatar mercury with Ubuntu 13.04, no gestures or multitouch. The mouse also moves left about 300px and clicks every two seconds or so when the touchpad is enabled. This corresponds with an odd "refreshing" of the controls in the touchpad system settings tray.

Richard Kent Jordan (rjordan) wrote :

This is also affecting the Gigabyte u2442 series. I have tried the 3.10.rc1 kernel as well with no luck.

Yngve (yb-i) wrote :

I am on a new Samsung Series 9, NP900X3E-A01SE on a fresh Ubuntu 13.04 install. I have the same issue.

lightweight (dave-egressive) wrote :

Hello all - as an interim fix, I tried this elantech DKMS module build (thanks to System76, back in 2011): https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/681904/comments/64 and it worked for me on my Gigabyte U2442V. I now see this with xinput:

  ↳ ETPS/2 Elantech ETF1059 Click-Pad id=16 [slave pointer (2)]

And I also get a "trackpad" tab in the Gnome pointer settings dialog (and in gpointing-device-settings). Haven't got two finger scrolling working yet, but vertical scroll area works, and disabling the pad while typing, and the oversensitivity of the pad in general I was experiencing has been reigned in. Hope this helps someone until a more out-of-the-box fix is implemented.

Yngve (yb-i) wrote :

Nice Dave! I get this error: "ImportError: No module named apport".

Not sure how to install "apport".

This is the error when runnung sudo dkms build -m psmouse -v elantech-v6:

Kernel preparation unnecessary for this kernel. Skipping...

Building module:
cleaning build area....
make KERNELRELEASE=3.8.0-21-generic -C /lib/modules/3.8.0-21-generic/build M=/var/lib/dkms/psmouse/elantech-v6/build/src psmouse.ko....(bad exit status: 2)
Traceback (most recent call last):
  File "/usr/share/apport/package-hooks/dkms_packages.py", line 22, in <module>
    import apport
ImportError: No module named apport
Error! Bad return status for module build on kernel: 3.8.0-21-generic (x86_64)
Consult /var/lib/dkms/psmouse/elantech-v6/build/make.log for more information.

lightweight (dave-egressive) wrote :

Hi Yngve - apport is a security framework which is installed by default in Ubuntu derived (and perhaps base Debian systems, too). I'm running Linux Mint.

The error you're getting is due to the fact that the package hook files provided by the apport package and related to the DKMs (Dynamic Kernel Modules, I believe) are missing. Using "dpkg -L", I've found that you're missing the "dkms" package on your system - "apt-get install dkms" will provide the dkms_packages.py. Then try the module compilation again.

brenix (brenix) wrote :

Dave, did you do anything with xorg or the module to get it to recognize as "ETPS/2 Elantech ETF1059 Click-Pad"?

I'm using the same dkms module via psmouse-elantech (archlinux aur). However, no matter what I do, it will still come up as:
Virtual core pointer id=2 [master pointer (3)]
       - Virtual core XTEST pointer id=4 [slave pointer (2)]
       - PS/2 Elantech ETF1059 Click-Pad id=11 [slave pointer (2)]

lightweight (dave-egressive) wrote :

brenix,

Doh! Yes, I did include this as a new file in /etc/X11/xorg.conf.d/50-synaptics.conf (and I had to create the directory, too).

-- start 50-synaptics.conf --

# see http://www.voria.org/forum/viewtopic.php?f=4&t=694
Section "InputDevice"
   Identifier "Elantech Touchpad"
# MatchIsTouchpad "on"
   Driver "synaptics"
   Option "BottomEdge" "590"
   Option "RightEdge" "750"
   Option "UpDownScrolling" "true"
   Option "LeftRightScrolling" "true"
   Option "PalmDetect" "true"
   Option "PalmMinWidth" "1"
   Option "PalmMinZ" "2"
EndSection

-- end file --

I note that some of the sub-tabs in the Touchpad section of the gpointing-device-settings app are set but are greyed out (i.e. disabled) which is probably because those options are being set with these xorg settings. Will have to try commenting them out to see if that makes things more maleable.

lightweight (dave-egressive) wrote :

Note, the xorg conf setting

MatchIsTouchpad "on"

is commented out above because, at least in this file, that setting doesn't get past the Xorg parser, resulting X failing to start. Hope that helps someone else avoid frustration.

brenix (brenix) wrote :

Thanks for the input Dave.. I've tried this too, however still getting the same issues :(.

It seems whenever the mouse/keyboard are initialized, dmesg will ouput the following:
atkbd serio0: Spurious ACK on isa0060/serio0. Some program might be trying to access hardware directly.

Is anyone else seeing this in their dmesg output? I've tried several kernel/module options (mostly for the i8042 controller), but it still keeps occuring and I believe this might lead as to why the touchpad isn't getting recognized properly..

Yngve (yb-i) wrote :

Dave, thanks for your reply. I did install dkms, as it is in the instructions. Doing sudo apt-get install dkms just gives me a
"dkms is already the newest version."

I still get the "No module named apport" error following the instructions. I got the 900x3e just two days ago so the ubuntu 13.04 install is quite fresh an unmodified.

lightweight (dave-egressive) wrote :

Yngve - I would've thought that dkms had apport as a dependency, but apparently not. You'll probably have to install apport: "sudo apt-get apport" should install it. Depending on what your system is doing, you might find that apport affects some of your network activities...

v-max (v-max) wrote :

Yngve - When you use ubuntu you have to install python-apport (sudo apt-get install python-apport).

On Samsung NP900X3E-A02, when following https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/681904/comments/64, I get in kernel:
[ 2.691443] elantech.c: PSMOUSE_CMD_RESET_BAT param[0]=aa param[1]=0 param[2]=0
[ 2.753440] elantech.c: Elantech version query result 0x57, 0x5f, 0x03.
[ 2.781988] param[0] = 57 param[1] = 5f param[2] = 3
[ 2.781992] elantech.c: assuming hardware version 9, firmware version 0x57.0x5f.0x03
which seems good. But if I force Synaptics in Xorg, the touchpad doesn't work and I managed to lock X11 from all HID inputs (I needed to boot from a recovery USB keychain).
What is the proper /etc/X11/xorg.conf.d/ so that "PS/2 Elantech ETF1059 Click-Pad" is properly set up? This is how the device appears in the log file. Any idea?

brenix (brenix) wrote :

So, I've looked at this more and ran across the following post by trjnhrse44: http://ubuntuforums.org/showthread.php?t=2133395&p=12628465#post12628465

I was able to do the same and forced the driver to utilize v4. After doing this, the driver was using the ETPS/2 rather than the the standard PS/2. Also, xinput finally displayed "ETPS/2 Elantech Touchpad". However, the touchpad would not work at all and appeared to be out of sync:

[ 3799.799694] psmouse serio1: Touchpad at isa0060/serio1/input0 lost sync at byte 6
[ 3799.806933] psmouse serio1: Touchpad at isa0060/serio1/input0 lost sync at byte 6
[ 3799.806945] psmouse serio1: issuing reconnect request
[ 3800.328227] psmouse serio1: Touchpad at isa0060/serio1/input0 lost sync at byte 6
[ 3800.335307] psmouse serio1: Touchpad at isa0060/serio1/input0 lost sync at byte 6

It seems that in my case, the touchpad/clickpad/smartpad is a newer hardware version (possibly v7??) than what was originally written in the elantech.c source. So it appears there may need to be additional code added to support newer hardware versions. If anyone has the skills to write such code, I would be glad to assist in any way possible.

Narcis Garcia (narcisgarcia) wrote :

I'm affected by a similar problem:
http://ubuntuforums.org/showthread.php?t=2147324

Bryce Harrington (bryce) on 2013-06-05
description: updated
Marcin (iim1) wrote :

Acer V3 7771G the same issue.

I have sent an email to Elantech manufacturer and their reply was:
-------- Original Message --------
Subject: RE: Latest touchpad driver for Linux (as included in Samsung Series 9 laptop)
Date: Tue, 11 Jun 2013 15:32:01 +0800
From: draco_wu <email address hidden>
To: <email address hidden>
CC: '陳怡穎 Ivy' <email address hidden>, 'Darren Chen(陳德榮)' <email address hidden>, <email address hidden>

Dear Gregoire,
For our company policy, we don't open the source code for Linux application.
We are sorry for that.

BRs,
Draco Wu / EMC

The problem is at driver level and somebody needs to find out the protocol corresponding to their newest hardware (Elantech revision 0x57, 0x5f, 0x03).

kendatsuba (kendatsuba) wrote :

Hello everybody,
here is a (hopefully) working patch for v7 hardware, additional information can be found in the patch itself.
The patch has been created against kernel v3.2 but should apply fine even in later versions.
Do you mind testing it?

Best regards,
Matteo

The attachment "0001-elantech-fix-for-newer-hardware-versions-v7.patch" seems to be a patch. If it isn't, please remove the "patch" flag from the attachment, remove the "patch" tag, and if you are a member of the ~ubuntu-reviewers, unsubscribe the team.

[This is an automated message performed by a Launchpad user owned by ~brian-murray, for any issues please contact him.]

tags: added: patch
lightweight (dave-egressive) wrote :

For anyone trying to use my suggested approach above for compiling the psmouse-elantech-v6 driver above on a more recent (Ubuntu 13.04 or Linux Mint 15), you'll likely run into a problem due to the updated Linux kernel (3.8.x). You'll need to follow these very helpful tips: http://ubuntuforums.org/showthread.php?t=2111236 - I've now got my touchpad going again after much frustration following an upgrade to Mint 15.

Fantastic, it's working! Thanks kendatsuba. Note that I didn't use elantech v6. I simply applied the patch to the kernel.

Thanks kendatsuba! Patch works perfectly applied to 3.8.0-25 kernel.

G.Scoppino (peppe1994) wrote :

Hello everyone! Patch works perfectly when applied on 3.9.6 kernel, tested two-finger scrolling so far which works perfectly! Thanks to kendatsuba for the patch, good job!

G.Scoppino (peppe1994) wrote :

Update: trackpad works perfectly with three and four-finger gestures configured through touchegg as well :)

tom enix (tenickl) wrote :

Hello, patch works like a charm, testet with 3.8.0-25 kernel.
It's awesome, thanks.

Imran Shaikh (eimran) wrote :

Can someone please point me to how to go about applying this patch on 3.9.6 kernel.

G.Scoppino (peppe1994) wrote :

Sure thing Imran! I'll tell you the way I did it which may not be the best way but it works:

Grab the 3.9.6 kernel source in .tar.bz2 format from kernel.org.
Extract somewhere in your user directory.
Go into the /drivers/input/mouse folder and open elantech.c

Since I have no idea about applying patches, I just removed the lines specified in the patch file and added the ones specified.
To be safe I attached a modified elantech.c you can just replace the old one with. If this isn't OK someone please tell me and I'll remove it btw. All credit goes to kendatsuba of course for the changes.

Now...
1) run "make oldconfig" and press enter to any questions, which will select the kernel defaults for any new options added between your previous kernel and this one.
2) "make -j`cat /proc/cpuinfo | grep -c processor`" -this will run make on a number of processes equal to threads your processor has. This can take a while, on an i7-3636QM (8 threads) this took about 10 minutes.
3) make modules_install
4) make install]

And reboot into the new kernel.

brenix (brenix) wrote :

Thank you kendatsuba for your work! Patch is working here on Archlinux with linux 3.9.6!

Yngve (yb-i) wrote :

This works! Ubuntu with kernel 3.9.6. Thanks kendatsuba for the patch and G.Scoppino for the compile instructions.

I did however get a error when running make install. Seems for me that everything works, but I do feel that I have a more unprecise movement of the pointer when I am moving slowly. This is the error after running sudo make install:

run-parts: executing /etc/kernel/postinst.d/dkms 3.9.6 /boot/vmlinuz-3.9.6
Traceback (most recent call last):
  File "/usr/share/apport/package-hooks/dkms_packages.py", line 22, in <module>
    import apport
ImportError: No module named apport
Error! Bad return status for module build on kernel: 3.9.6 (x86_64)
Consult /var/lib/dkms/psmouse/elantech-v6/build/make.log for more information.

And in the make.log file I get this:

DKMS make.log for psmouse-elantech-v6 for kernel 3.9.6 (x86_64)
sø. 16. juni 20:45:11 +0200 2013
  CC [M] /var/lib/dkms/psmouse/elantech-v6/build/src/psmouse-base.o
/var/lib/dkms/psmouse/elantech-v6/build/src/psmouse-base.c: In function ‘__check_smartscroll’:
/var/lib/dkms/psmouse/elantech-v6/build/src/psmouse-base.c:61:1: warning: return from incompatible pointer type [enabled by default]
/var/lib/dkms/psmouse/elantech-v6/build/src/psmouse-base.c: At top level:
/var/lib/dkms/psmouse/elantech-v6/build/src/psmouse-base.c:862:3: warning: initialization from incompatible pointer type [enabled by default]
/var/lib/dkms/psmouse/elantech-v6/build/src/psmouse-base.c:862:3: warning: (near initialization for ‘psmouse_protocols[11].detect’) [enabled by default]
  CC [M] /var/lib/dkms/psmouse/elantech-v6/build/src/synaptics.o
/var/lib/dkms/psmouse/elantech-v6/build/src/synaptics.c: In function ‘set_input_params’:
/var/lib/dkms/psmouse/elantech-v6/build/src/synaptics.c:699:3: error: too few arguments to function ‘input_mt_init_slots’
In file included from /var/lib/dkms/psmouse/elantech-v6/build/src/synaptics.c:28:0:
include/linux/input/mt.h:78:5: note: declared here
make[3]: *** [/var/lib/dkms/psmouse/elantech-v6/build/src/synaptics.o] Error 1
make[2]: *** [psmouse.ko] Error 2

brenix (brenix) wrote :

Yngve, I would recommend applying the patch to the linux 3.9.6 source instead of the source from psmouse-elantech v6. If you download the tarball for linux 3.9.6 and use the files from the drivers/input/mouse for the dkms package instead of the psmouse-elantech-v6, that should hopefully work..

djo (stadja) wrote :

For me, this patch doesn't work with Ubuntu 13.04
The kernel making and all that stuff works well, but I can't boot in it.

I think I am missing something,
I followed the step by step of #86

Marcin (iim1) wrote :

How should I apply this patch without changing the kernel? Will it be solved with next kernel update?

v-max (v-max) wrote :

For me it worked with DKMS and the kernel sources. I did something like this:

sudo apt-get install dkms
# now get the kernel sources from kernel.org, and extract it somewhere. then:
cd /usr/src
sudo mkdir psmouse-elantech-fix
sudo cp /path/to/downloaded/kernel/drivers/input/mouse/* psmouse-elantech-fix
# then build the drivers with dkms
sudo dkms add -m psmouse -v elantech-fix
sudo dkms build -m psmouse -v elantech-fix
sudo dkms install -m psmouse -v elantech-fix

and it should work. try reloading the psmouse driver
sudo modprobe -r psmouse ; sudo modprobe psmouse

xinput should now show ETPS/2 Elantech Touchpad

Yngve (yb-i) wrote :

Does somebody else experience that the trackpad is way to sensitive after applying the patch? For me it seems like the acceleration is not turned on. Trying to do small precision movements like hitting the X in the tabs of Chrome just get insane difficult. And no it doesn't help to fiddle with the pointer speed in the settings. If I return to a unpatched kernel the trackpad is all right, but of course lack multitouch.

Erkan Ozgur Yilmaz (eoyilmaz) wrote :

compiled the 3.9.7 with the patch on fedora 18, works like a charm, thanks to everybody

djo (stadja) wrote :

for #92 I did what you said and now I have in xinput: ETPS/2 Elantech Touchpad

But i still don't have sliding and all the other stuff :/

Amber Lauer (amberlauer) wrote :

#92 is this patch different than the elantech-v7 patch? I applied the v7 patch unsuccessfully.

Bryce Harrington (bryce) wrote :

From linus' tree, posted there last week.

Bryce Harrington (bryce) wrote :

Verified the patch applied to the LTS quantal backport kernel. Patch should apply cleanly to all kernels between 3.5 and 3.10, and since it affects a broad range of Samsung laptops it may well be worth considering for SRUs to precise and newer.

Changed in linux (Ubuntu Precise):
status: New → In Progress
Changed in linux (Ubuntu Quantal):
status: New → In Progress
importance: Undecided → Medium
Changed in linux (Ubuntu Saucy):
importance: Low → Medium
Changed in linux (Ubuntu Precise):
importance: Undecided → Medium
Changed in linux (Ubuntu Raring):
importance: Undecided → Medium
status: New → In Progress
Changed in linux (Ubuntu Precise):
assignee: nobody → Joseph Salisbury (jsalisbury)
Changed in linux (Ubuntu Quantal):
assignee: nobody → Joseph Salisbury (jsalisbury)
Changed in linux (Ubuntu Raring):
assignee: nobody → Joseph Salisbury (jsalisbury)
Changed in linux (Ubuntu Saucy):
assignee: nobody → Joseph Salisbury (jsalisbury)
Joseph Salisbury (jsalisbury) wrote :

The commit that fixes this bug is in Mainline as of v3.11-rc1. I'll build test kernels with this commit for P, Q, R and S:
commit 9eebed7de660c0b5ab129a9de4f89d20b60de68c
Author: Matteo Delfino <email address hidden>
Date: Sat Jul 6 21:52:26 2013 -0700

    Input: elantech - fix for newer hardware versions (v7)

Changed in linux (Ubuntu Saucy):
status: Confirmed → In Progress
Joseph Salisbury (jsalisbury) wrote :

I built test kernels for Precise, Quantal, Raring and Saucy with commit 9eebed7 applied. The test kernels are available for download from:

Precise: http://kernel.ubuntu.com/~jsalisbury/lp1166442/precise/
Quantal: http://kernel.ubuntu.com/~jsalisbury/lp1166442/quantal/
Raring: http://kernel.ubuntu.com/~jsalisbury/lp1166442/raring/
Saucy: http://kernel.ubuntu.com/~jsalisbury/lp1166442/saucy/

Note that the Quantal, Raring and Saucy test kernels require the installation of linux-image and linux-image-extra .deb packages.

Can folks affected by this bug test these kernels and post back if it resolves the bug?

Bryce Harrington (bryce) wrote :

I've verified all four kernels in a precise installation:

[ 0.000000] Linux version 3.10.0-4-generic (root@gomeisa) (gcc version 4.8.1 (Ubuntu/Linaro 4.8.1-6ubuntu1) ) #13~lp1166442v1 SMP Fri Jul 19 17:27:24 UTC 2013 (Ubuntu 3.10.0-4.13~lp1166442v1-generic 3.10.1)
+ verified

[ 0.000000] Linux version 3.8.0-27-generic (root@gomeisa) (gcc version 4.7.3 (Ubuntu/Linaro 4.7.3-1ubuntu1) ) #40~lp1166442v1 SMP Fri Jul 19 17:27:23 UTC 2013 (Ubuntu 3.8.0-27.40~lp1166442v1-generic 3.8.13.4)
+verified

[ 0.000000] Linux version 3.5.0-37-generic (root@gomeisa) (gcc version 4.7.2 (Ubuntu/Linaro 4.7.2-2ubuntu1) ) #58~lp1166442v1 SMP Fri Jul 19 17:27:19 UTC 2013 (Ubuntu 3.5.0-37.58~lp1166442v1-generic 3.5.7.16)
[ 0.000000] Command line: BOOT_IMAGE=/boot/vmlinuz-3.5.0-37-generic
root=UUID=fa32f4fa-6b1f-4af6-a410-5371d2f44cc5 ro
+verified

[ 0.000000] Linux version 3.2.0-50-generic (root@gomeisa) (gcc version 4.6.3 (Ubuntu/Linaro 4.6.3-1ubuntu5) ) #76~lp1166442v1 SMP Fri Jul 19 17:27:13 UTC 2013 (Ubuntu3.2.0-50.76~lp1166442v1-generic 3.2.48)
[ 0.000000] Command line: BOOT_IMAGE=/boot/vmlinuz-3.2.0-50-generic root=UUID=fa32f4fa-6b1f-4af6-a410-5371d2f44cc5 ro
+verified

For verification, steps I did were:
1. dmesg | grep elan, verify it says "elantech: assuming hardware version 4"
2. Launch Mouse and Touchpad settings, verify there is a Touchpad tab and it includes and has enabled a Two-finger scrolling option
3. In gnome-terminal, run 'dmesg' then verify two-finger scrolling scrolls the output

Amber Lauer (amberlauer) wrote :

Installed the four packages from Joseph Salisbury for raring but no touchpad tab and xinput list still reports ps/2 Elantech Touchpad. and dmesg | grep elan reports

[ 4.641702] psmouse serio2: elantech: assuming hardware version 4 (with firmware version 0x361f00)
[ 4.848218] psmouse serio2: elantech: elantech_send_cmd query 0x02 failed.
[ 4.848220] psmouse serio2: elantech: failed to query capabilities.

On an Avatar brand Mercury ultrabook, aviu-145a2. I have reported this bug to Avatar, who don't officially support linux, but they assured me they will look into it since they are a small company that runs a lot of linux.

If I can give additional information, please let me know. I am happy to help but not at the level to do any of the coding. Though I'm trying to learn.

Joseph Salisbury (jsalisbury) wrote :

@Amber Lauer, it is probably best to open a new separate bug for your issue, since the bug was reported for Samsung systems.

Amber Lauer (amberlauer) wrote :

I thought it was a general elantech bug. That's how I interpreted the description.

kendatsuba (kendatsuba) wrote :

@Amber Lauer, from the dmesg snippets you posted the version of your hardware appears to be equal to 6. Your firmware version is in fact 0x361f00, the version number of the hardware is stored in the second hexadecimal digit starting from the left (0x#6####). Even if the description of the bug is general enough to encompass your issue, I think that the focus of this bug has shifted towards v7 so I agree with Joseph in saying that it's probably best to open a new separate bug.

Amber Lauer (amberlauer) wrote :

Thanks! This is the most promising lead I've gotten. A reviewer on newegg running Arch said he fixed it just by unloading the psmouse module, but I can't understand how that could have help unless he meant he was going without touchpad altogether. But there is no way to comment on reviews.

Numérigraphe (numerigraphe) wrote :

Hi,
Using the kernel in http://kernel.ubuntu.com/~jsalisbury/lp1166442/raring/ in Raring, the multitouch now works fine in my Samsung NP900-X3E-A02FR (recent Series 9 13" Full-HD). Tested with 2-fingers-scrolling and 3-fingers-clicking.
Lionel Sausin.

Matthew (gromituk) wrote :

I can confirm it also works with my Samsung NP740U3E-S02.

puszczyk (puszczyk) wrote :

I can confirm the precise version http://kernel.ubuntu.com/~jsalisbury/lp1166442/precise/ works like a charm with my Samsung NP730U3E

nicobrainless (nicoseb) wrote :

Does not work "raring" on my Gigabye U2442 :(

Is this specific to one firmware version?
My dmesg says

[ 4.013727] psmouse serio1: elantech: assuming hardware version 3 (with firmware version 0x450f01)
[ 4.037566] psmouse serio1: elantech: Synaptics capabilities query result 0x58, 0x17, 0x0c.
[ 4.270875] psmouse serio1: elantech: retrying ps2 command 0x0b (2).
[ 4.973916] psmouse serio1: elantech: retrying ps2 command 0x0b (1).
[ 5.676913] psmouse serio1: elantech: retrying ps2 command 0x0b (0).
[ 6.180276] psmouse serio1: elantech: ps2 command 0x0b failed.
[ 6.180285] psmouse serio1: elantech: failed to write register 0x10 with value 0x0b.
[ 6.180289] psmouse serio1: elantech: failed to initialise registers.
[ 6.180293] psmouse serio1: elantech: failed to put touchpad into absolute mode.

Bryce Harrington (bryce) wrote :

nico, from your snippet sounds like you're on hw version 3; the patch here is relevant to v7.

v3 has been supported by the driver for some time, so it may be you have some more specific bug. Might be best to open a new bug report with full logs, so that issue can be focused on separately.

Julien Hirel (julien-hirel) wrote :

Tested the raring kernel on my samsung NP770Z5E running Xubuntu, works like a charm. I got 2 finger scrolling back. This is what I got from dmesg | grep elantech :

 [ 2.850633] psmouse serio1: elantech: assuming hardware version 4 (with firmware version 0x575f01)
[ 2.864000] psmouse serio1: elantech: Synaptics capabilities query result 0x10, 0x15, 0x0f.
[ 2.932358] input: ETPS/2 Elantech Touchpad as /devices/platform/i8042/serio1/input/input6

nicobrainless (nicoseb) wrote :

@Bryce, no worries.
Thank you for the suggestion, I will create a new bug report

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.10.0-5.15

---------------
linux (3.10.0-5.15) saucy; urgency=low

  [ Andy Whitcroft ]

  * [Config] add iwldvm to nic-modules
    - LP: #1204194

  [ Tim Gardner ]

  * [Debian] Supply PKG_ABI in kmake
    - LP: #1193172
  * SAUCE: (no-up) hv: Supply vendor ID and package ABI
    - LP: #1193172

  [ Upstream Kernel Changes ]

  * efivars: check for EFI_RUNTIME_SERVICES
    - LP: #1200570
  * drm/radeon/hdmi: make sure we have an afmt block assigned
  * Input: elantech - fix for newer hardware versions (v7)
    - LP: #1166442
 -- Tim Gardner <email address hidden> Tue, 23 Jul 2013 07:42:49 -0600

Changed in linux (Ubuntu Saucy):
status: In Progress → Fix Released
Joshua Koudys (jkoudys) wrote :

I've just built my own mainline kernel at 3.11-rc2, and see that this update (diff to elantech.c : https://www.kernel.org/diff/diffview.cgi?file=%2Fpub%2Flinux%2Fkernel%2Fv3.x%2Ftesting%2Fpatch-3.11-rc2.xz;z=3911 ) also addresses this. I have 2-finger scrolling, horizontal + vertical, and natural scrolling all working perfectly now on this latest mainline. Not suggesting anyone should install mainline (the ubuntu patch is the right way to go), just confirming that this will be fixed for everyone once 3.11 becomes the stable.

Brad Figg (brad-figg) wrote :

This bug is awaiting verification that the kernel in -proposed solves the problem. Please test the kernel and update this bug with the results. If the problem is solved, change the tag 'verification-needed' to 'verification-done'.

If verification is not done by one week from today, this fix will be dropped from the source code, and this bug will be closed.

See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you!

tags: added: verification-needed-precise
tags: added: verification-needed-quantal
Brad Figg (brad-figg) on 2013-08-01
tags: added: verification-needed-raring
Changed in linux (Ubuntu Precise):
status: In Progress → Fix Committed
Changed in linux (Ubuntu Quantal):
status: In Progress → Fix Committed
Changed in linux (Ubuntu Raring):
status: In Progress → Fix Committed
tags: added: verification-done-raring
removed: verification-needed-raring
Brad Figg (brad-figg) on 2013-08-04
tags: added: verification-done-precise verification-done-quantal
removed: verification-needed-precise verification-needed-quantal
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 3.2.0-52.78

---------------
linux (3.2.0-52.78) precise; urgency=low

  [Steve Conklin]

  * Release Tracking Bug
    - LP: #1205381

  [ Upstream Kernel Changes ]

  * Input: elantech - fix for newer hardware versions (v7)
    - LP: #1166442
  * fanotify: info leak in copy_event_to_user()
    - LP: #1188356
    - CVE-2013-2148
 -- Steve Conklin <email address hidden> Fri, 26 Jul 2013 10:32:54 -0500

Changed in linux (Ubuntu Precise):
status: Fix Committed → Fix Released
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (8.6 KiB)

This bug was fixed in the package linux - 3.5.0-39.60

---------------
linux (3.5.0-39.60) quantal; urgency=low

  [Brad Figg]

  * Release Tracking Bug
    - LP: #1211872

  [ Upstream Kernel Changes ]

  * Revert "veth: avoid a NULL deref in veth_stats_one"
  * Revert "veth: extend device features"
  * Revert "veth: reduce stat overhead"

linux (3.5.0-38.59) quantal; urgency=low

  [Brad Figg]

  * Release Tracking Bug
    - LP: #1205440

  [ Upstream Kernel Changes ]

  * hp-wmi: add more definitions for new event_id's
    - LP: #1152458
  * MFD: rtsx_pcr: Fix probe fail path
    - LP: #1201321
  * mfd: rtsx: Add support for RTL8411B
    - LP: #1201321
  * veth: reduce stat overhead
    - LP: #1201869
  * veth: extend device features
    - LP: #1201869
  * veth: avoid a NULL deref in veth_stats_one
    - LP: #1201869
  * Input: elantech - fix for newer hardware versions (v7)
    - LP: #1166442
  * zram: avoid invalid memory access in zram_exit()
    - LP: #1204600
  * zram: use zram->lock to protect zram_free_page() in swap free notify
    path
    - LP: #1204600
  * zram: destroy all devices on error recovery path in zram_init()
    - LP: #1204600
  * zram: avoid double free in function zram_bvec_write()
    - LP: #1204600
  * zram: avoid access beyond the zram device
    - LP: #1204600
  * zram: protect sysfs handler from invalid memory access
    - LP: #1204600
  * pcmcia: at91_cf: fix gpio_get_value in at91_cf_get_status
    - LP: #1204600
  * usb: gadget: f_mass_storage: add missing memory barrier for
    thread_wakeup_needed
    - LP: #1204600
  * cgroup: fix umount vs cgroup_event_remove() race
    - LP: #1204600
  * xhci: check for failed dma pool allocation
    - LP: #1204600
  * usb: host: xhci-plat: release mem region while removing module
    - LP: #1204600
  * USB: option,qcserial: move Novatel Gobi1K IDs to qcserial
    - LP: #1204600
  * x86: Fix /proc/mtrr with base/size more than 44bits
    - LP: #1204600
  * genirq: Fix can_request_irq() for IRQs without an action
    - LP: #1204600
  * jbd2: move superblock checksum calculation to jbd2_write_superblock()
    - LP: #1204600
  * ext3,ext4: don't mess with dir_file->f_pos in htree_dirblock_to_tree()
    - LP: #1204600
  * jbd2: fix theoretical race in jbd2__journal_restart
    - LP: #1204600
  * cgroup: fix umount vs cgroup_cfts_commit() race
    - LP: #1204600
  * tracing: Use current_uid() for critical time tracing
    - LP: #1204600
  * ahci: Add AMD CZ SATA device ID
    - LP: #1204600
  * i2c-piix4: Add AMD CZ SMBus device ID
    - LP: #1204600
  * ahci: remove pmp link online check in FBS EH
    - LP: #1204600
  * libata: skip SRST for all SIMG [34]7x port-multipliers
    - LP: #1204600
  * ASoC: wm8962: Remove remaining direct register cache accesses
    - LP: #1204600
  * ACPICA: Do not use extended sleep registers unless HW-reduced bit is
    set
    - LP: #1204600
  * ALSA: hda - Cache the MUX selection for generic HDMI
    - LP: #1204600
  * ata_piix: IDE-mode SATA patch for Intel Coleto Creek DeviceIDs
    - LP: #1204600
  * ahci: AHCI-mode SATA patch for Intel Coleto Creek DeviceIDs
    - LP: #1204600
  * ARM: 7765/1: perf: Record the user-mode PC in the call c...

Read more...

Changed in linux (Ubuntu Quantal):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (12.6 KiB)

This bug was fixed in the package linux - 3.8.0-29.42

---------------
linux (3.8.0-29.42) raring; urgency=low

  [Brad Figg]

  * Release Tracking Bug
    - LP: #1211934

  [ Upstream Kernel Changes ]

  * Revert "veth: avoid a NULL deref in veth_stats_one"
  * Revert "veth: extend device features"
  * Revert "veth: reduce stat overhead"

linux (3.8.0-28.41) raring; urgency=low

  [Brad Figg]

  * Release Tracking Bug
    - LP: #1205373

  [ Andy Whitcroft ]

  * [Config] add iwldvm to nic-modules
    - LP: #1204194

  [ Brad Figg ]

  * [Config] added qlcnic driver to d-i modules
    - LP: #1196597

  [ Rob Herring ]

  * SAUCE: ARM: highbank: Only touch common coherency control register
    fields
    - LP: #1196946

  [ Upstream Kernel Changes ]

  * hp-wmi: add more definitions for new event_id's
    - LP: #1152458
  * MFD: rtsx_pcr: Fix probe fail path
    - LP: #1201321
  * mfd: rtsx: Add support for RTL8411B
    - LP: #1201321
  * veth: reduce stat overhead
    - LP: #1201869
  * veth: extend device features
    - LP: #1201869
  * veth: avoid a NULL deref in veth_stats_one
    - LP: #1201869
  * Input: elantech - fix for newer hardware versions (v7)
    - LP: #1166442
  * UBIFS: correct mount message
    - LP: #1204666
  * zfcp: fix adapter (re)open recovery while link to SAN is down
    - LP: #1204666
  * zfcp: block queue limits with data router
    - LP: #1204666
  * zfcp: status read buffers on first adapter open with link down
    - LP: #1204666
  * ahci: Add AMD CZ SATA device ID
    - LP: #1204666
  * i2c-piix4: Add AMD CZ SMBus device ID
    - LP: #1204666
  * sata_highbank: increase retry count but shorten duration for Calxeda
    controller
    - LP: #1204666
  * clocksource: dw_apb: Fix error check
    - LP: #1204666
  * zram: avoid invalid memory access in zram_exit()
    - LP: #1204666
  * zram: use zram->lock to protect zram_free_page() in swap free notify
    path
    - LP: #1204666
  * zram: destroy all devices on error recovery path in zram_init()
    - LP: #1204666
  * zram: avoid access beyond the zram device
    - LP: #1204666
  * zram: protect sysfs handler from invalid memory access
    - LP: #1204666
  * pcmcia: at91_cf: fix gpio_get_value in at91_cf_get_status
    - LP: #1204666
  * PCI: Fix refcount issue in pci_create_root_bus() error recovery path
    - LP: #1204666
  * ahci: remove pmp link online check in FBS EH
    - LP: #1204666
  * usb: gadget: f_mass_storage: add missing memory barrier for
    thread_wakeup_needed
    - LP: #1204666
  * x86, efi: retry ExitBootServices() on failure
    - LP: #1204666
  * libata: skip SRST for all SIMG [34]7x port-multipliers
    - LP: #1204666
  * ASoC: wm8962: Remove remaining direct register cache accesses
    - LP: #1204666
  * xen/pcifront: Deal with toolstack missing 'XenbusStateClosing' state.
    - LP: #1204666
  * ACPICA: Do not use extended sleep registers unless HW-reduced bit is
    set
    - LP: #1204666
  * ALSA: hda - Cache the MUX selection for generic HDMI
    - LP: #1204666
  * cgroup: fix umount vs cgroup_cfts_commit() race
    - LP: #1204666
  * cgroup: fix umount vs cgroup_event_remove() race
    - LP: #1204666
  * xhci: check for failed dma pool al...

Changed in linux (Ubuntu Raring):
status: Fix Committed → Fix Released
plangeard (plangeard) wrote :

Hi,
I using a Samsung NP530U4E, after updating last version (3.8.0-29-generic #42-Ubuntu) , it still not works !
After checking "Two finger scroll" in mouse settings, it works fine.

Many thanks to solve that issue.
Cheers,

Paul

Eric Haberstroh (ehaberstroh) wrote :

Hi,

I tried out the patched version of 3.8.0-17 (comment #100) first, my Elantech touchpad still reports as PS/2 Elantech ETF1059 Click-Pad. There is no "touchpad" tab in the mouse settings. Two-finger scrolling does not work.

It also does not work with kernel 3.8.0-29 or 3.8.0-30. Yet I don't have a Samsung notebook, but an Acer Aspire V5-551.

dmesg | grep elan reports:

[ 20.001091] elantech.c: PSMOUSE_CMD_RESET_BAT param[0]=aa param[1]=0 param[2]=0
[ 20.049901] elantech.c: Elantech version query result 0x46, 0x1f, 0x00.
[ 20.075013] elantech.c: assuming hardware version 9, firmware version 0x46.0x1f.0x00

I'm not quite sure if this is the right bugreport for me, but I have been searching for more than four months now and this is the most promising thread I ever found. I would very much appreciate any assistance in the matter.

Sincerely,
Eric

Eric Haberstroh (ehaberstroh) wrote :

Correction: In line 1, of course I mean 3.8.0-27 and not 3.8.0-17.

kendatsuba (kendatsuba) wrote :

@Eric Haberstroh: judging from your dmesg snippet it seems that the module you are using is not the one from kernel 3.8.0-27.40. Instead, it seems to be the one from psmouse-elantech-v6.tar.bz2, mentioned in:

https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/681904/comments/64

You should get rid of that module and use the one provided by Joseph Salisbury's package (comment #100). Try this:

sudo dkms remove -m psmouse/elantech-v6 --all
(re-install Joseph Salisbury's package)
(reboot)

Best regards,
Matteo

Eric Haberstroh (ehaberstroh) wrote :

Hello Mateo,

thank you for your quick response. I did what you suggested; unfortunately, the situation has not improved. The touchpad is still recognized as PS/2 Elantech ETF1059 Click-Pad and the dmesg output hasn't changed.

Would it help to include some apport information?

Sincerely,
Eric

kendatsuba (kendatsuba) wrote :

@Eric Haberstroh: I'm sorry to insist but please double-check that you are booting in the proper kernel and that you are using the right module, try this:

uname -r
(make sure it syas 3.8.0-27.40 )
sudo rmmod psmouse
sudo insmod /lib/modules/`uname -r`/kernel/drivers/input/mouse/psmouse.ko (mind the back quotes)

If that doesn't work it would help to include some apport information but I don't think that this is the right bugreport since your firmware version is v6 and not v7.

Best regards,
Matteo

Eric Haberstroh (ehaberstroh) wrote :

Thank you very much, that did it for me. :-)

Sincerely,
Eric

Eric Haberstroh (ehaberstroh) wrote :

One more thing:

So far, I have to reload the module as indicated in comment #128 after every reboot. Is there a chance to make this more permanent?

Eric Haberstroh (ehaberstroh) wrote :

Nevermind.

I added both of the commands (without sudo) to /etc/rc.local.
Unless there is a cleaner way to do this, I will stay with that method.

Thank you again for your kind help. This really makes using my laptop much easier. :-)

Sincerely,
Eric

Daniel (skorka-b) wrote :

It seems this fix has either been reverted, or needs to be updated for newer hardware versions. I'm running 13.10 (kernel 3.11.0-14-generic) on a Sony Vaio Flip 13, and have no multitouch support.
dmesg | grep elan:
psmouse serio1: elantech: unknown hardware version, aborting...
xinput | grep Elan:
PS/2 Elantech Touchpad

I do not know which hardware version I have. Is there some way in which I can check?.

kendatsuba (kendatsuba) wrote :

@Daniel, please refer to:

https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1232877

and:

https://github.com/torvalds/linux/commit/754ac45745711a7ce0067087e5b55a9c277952ad

As you can see, a patch for newer versions has been queued for inclusion in kernel v3.13 and has been merged in v3.13-rc5, available as a mainline build from:

http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.13-rc5-trusty/

just in case you want to give it a try :)

Gilles (gilles-keller) wrote :

hello !

sorry, but same issue on my ASUS X551CA with PS/2 ELantech touchpad which is not configurable in settings (no touchpad tab, no multitouch features).

but.. how applying patches proposed in #100 ??? (new to ubuntu)

thanks.

Gilles

Blaž (blaz-kvas) wrote :

Same problem as Gilles (#134) and the same computer.
I have just the basic functions on the touchpad.

Alessio Gatti (volperossa) wrote :

Same problem as Gilles and Blaz, on an ASUS X551CA, running UBUNTU 12.04LTS fresh install. Need help to install patches safely, thanks.
Alessio

kendatsuba (kendatsuba) wrote :

Please try the attached dkms package containing a fix for the new hardware versions v9 and v10, probably you own one of them. Here are the steps you must follow:

sudo dkms ldtarball psmouse-elantech-x551c.tar.gz
sudo dkms install -m psmouse -v elantech-x551c

sudo rmmod psmouse
sudo modprobe psmouse

I'm also attaching the patch containing the relevant change, created against the latest kernel source. If the fix works I will send the patch to the linux-input list for inclusion.

I'm posting it here because this fix is still related to the original bug report (newer versions of the elantech multitouch trackpad not fully supported in Linux) but maybe it would be best to open a new bug report regarding v9 and v10 versions, with detailed information about the laptos on which they can be found.

lightweight (dave-egressive) wrote :

Thanks for working on this kendatsuba!

The patched driver compiles for me against 3.11.0-12-generic (Linux Mint) on my Gigabyte U2442 V laptop, but sadly, when I try the module the behaviour doesn't change. It seems I don't have a v9 or v10 trackpad, I've never been able to get a definitive indication of which version I have got.

The only thing that has remedied this problem for me in the past was the one described in the original bug report (for elantech-v6 - https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-intel/+bug/681904/comments/64)... but it no longer applies to newer kernels...

lightweight (dave-egressive) wrote :

Sorry, I should point out the following, should it help any others:

1. with the 3.11.0-12-generic kernel, my Touchpad *is* detected, i.e. xinput shows:
  ↳ PS/2 Elantech Touchpad id=16 [slave pointer (2)]
and dmesg shows:
 input: PS/2 Elantech Touchpad as /devices/platform/i8042/serio1/input/input14

2. there are no touchpads settings evident in the normal Cinnamon settings utility (gnome-control-center -> Mouse & Touchpads)

3. I see a touchpad settings option with the "gpointing-device-settings" app and I can turn on vertical and horizontal scrolling in the interface, but doing so does not provide the desired behaviour.

4. I've also tried installing the elantech-v7 module via dkms (see http://ubuntuforums.org/showthread.php?t=2111236&p=12850603#post12850603) and it compiles, but it too fails to provide the desired functionality.

Blaž (blaz-kvas) wrote :

Kendatsuba the fix worked.
Thank you.

I have setting for the touchpad in the System setting and the Synaptiks now recognizes the touchpad.

Two finger scrolling works and so does the two (or three for middle click) tapping.

Alessio Gatti (volperossa) wrote :

Kendatsuba,
you made our day!! I can confirm that the fix worked on the following configuration. AS per Blaz, touchpad appears now OK in System settings and the touchpad works as expected.

Ubuntu Version 12.04 (Precise) 64 Bit
Kernel Linux 3.8.0-34-generic
GNOME 3.4.2

Laptop ASUS model X551CA (FreeDOS pre-installed, fully wiped up with Ubuntu).

Please let me know if any other detail is required.

Alessio

Gilles (gilles-keller) wrote :

Thanks, the fix worked for me too, on the same laptop and configuration as Alessio.

Thanks again :)

Simona Diatto (simona-diatto) wrote :

Thank you for this fix!!!

Same laptop as Alessio: it came with FreeDOS and I installed Mint 16 (Petra).

Daniel (skorka-b) wrote :

Reporting that this fixes the touchpad on an Sony SVF13N1L2ES. Horizontal and vertical scrolling works. Two finger clicking works as well. xinput shows many new properties for the touchpad.

Thanks a lot! Could you notify us when the patch makes it into the kernel, so we know when to remove this dkms module?

Best regards,
Daniel

cosmin (wizardelo) wrote :

Fixed also for Lenovo z710 Elantech Touchpad!
thank you.

nicobrainless (nicoseb) wrote :

Unfortunately, I have to report that, alike dave-egressive, this did not fix the issue for me.

I have the same laptop, Gygabyte U2442, and tried basically the same thread as he did.
The only thing I have ever figured out is how to get the 3-button emulation (i.e. copy-paste) adding line in my bash_rc...

It's been over 6 months and I sometimes end up booting on Windows just to be able to browse more easily!

kendatsuba, any way you might be able to help us out since you seemed to have a better understanding of the underlying issue?

Thank you.

PS: I am on ubuntu 14.04 alpha (since a couple of days), thought the newer kernel might help (I saw in another thread a few months back that 3.11 was bringing some fixes, these did not work for me when installing a 3.11 version on my ubuntu 13.10...)

Dave Gilbert (ubuntu-treblig) wrote :

lightweight/nocobrainless: Hmm given that the fix in this bug fixes something for some group of people, but you're still having issues, please open separate bugs for them.

Add a comment here with the new bug number, and in your new bug add a comment saying you think it might be related to this one.

lightweight (dave-egressive) wrote :

Thanks Dave - as per your recommendation for people with the Gigabyte U2442 laptop series (and perhaps others) for whom the fixes above don't work, I've created a new bug report: https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1272777

Sirtaj Singh Kang (sirtaj) wrote :

Confirming kendatsuba's patch fixes the issue on Toshiba Satellite E55-A5114. Touchpad was reporting "PS/2" instead of "ETPS/2" without the patch.

All functions appear to be working correctly after patching, without any need for configuration in xorg.conf.

Usul_ (usul-) wrote :

kendatsuba patch partially fixed he problem in my Asus pu301LA. Unfortunately, after installing the new module as suggested in comment #137, the right buton stopped working and the left button is sometimes recognized as the secondary button in a not predictable fashion. Tap and two finger scrolling works.
Any suggestion?

Usul_ (usul-) wrote :

Correction: also the tap does not works. Both tapping and clicking on the left button is recognized as "left click", "right click" or even "central click" unpredictably...
Unfortunately, this behaviour makes the new patch unusable. How do I remove the new module and revert to the original one?
Thanks.

Usul_ (usul-) wrote :

I forgot to mention that I am running Ubuntu 14.04 Beta 1 with kernel 3.13.0-18-generic x86_64

The instructions from kendatsuba in comment 136 worked for me. Installing the psmouse-elantech-x551c.tar.gz dkms module fixed the touchpad on my Toshiba Satellite E55-A5114 running Ubuntu Saucy (64bit)

nicobrainless (nicoseb) wrote :

@kendatsuba or anyone here who seemed to have a good understanding of these elantech issues, could you take a look at https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1166442 and maybe make some suggestions to fix it for Gigabyte users... :(

Vincent Gerris (vgerris) wrote :

Just wanted to report that the fix from post #137 works for my Lenovo Yoga 2 11.
dmesg reported before:
[ 16.922014] input: PS/2 Elantech Touchpad as /devices/platform/i8042/serio1/input/input7
and after
[ 3990.888082] input: ETPS/2 Elantech Touchpad as /devices/platform/i8042/serio1/input/input112

thanks a bunch!
Should this somehow be reported to be included in the Ubuntu 14.04 kernel?
I updated today and have:
3.13.0-19-generic #40-Ubuntu SMP Mon Mar 24 02:36:06 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux

weesnich (weesnich) wrote :

Also affects me on Samsung 900X3G with 14.04!
#137 did not work for me!
3+ finger gestures do not work.
I want my multitouch gestures back!

87dv (87dv) wrote :

Same on Asus X54HY (X54LY)
Ubuntu 14.04.1

I: Bus=0011 Vendor=0002 Product=000e Version=0000
N: Name="ETPS/2 Elantech Touchpad"
P: Phys=isa0060/serio4/input0
S: Sysfs=/devices/platform/i8042/serio4/input/input11
U: Uniq=
H: Handlers=mouse0 event4
B: PROP=1
B: EV=b
B: KEY=6420 30000 0 0 0 0
B: ABS=260800011000003

KZ (kzcabstone) wrote :

Verified that with fix in post #137, I can now use multi-touch on my Lenovo Y50 touch.

florin (floryn-todor) wrote :

Yes, I can confirm that fix in post #137 helped me too for Lenovo Y50-70 in order to enable multi-touch. Befor that pach the touchpad was nod detected (two finger scroll not working).

lz50 (launch-j) wrote :

Post #137 broke the right click for my Lenovo Z50. But the solution in http://superuser.com/questions/619582/right-elantech-touchpad-button-not-working-in-linux fixed it. But that solution broke the middle button emulation.
Ubuntu 14.04.1
http://superuser.com/questions/619582/right-elantech-touchpad-button-not-working-in-linux

Gabe (gabe565) wrote :

The fix in comment #137 also fixed my touchpad being detected on my Lenovo U530, and now two-finger scrolling works!

Only problem is that now there seems to be a slight (but noticeable) input lag. Does anybody else have this issue?

Gabe (gabe565) wrote :
Daniel Ceregatti (dlniel) wrote :

I'm still having to rmmod psmouse and modprobe psmouse after every boot. Upon boot, dmesg shows this:

[ 4.929432] psmouse serio1: elantech: unknown hardware version, aborting...

But after I rmmod and modprobe dmesg reports this:

[ 1750.169375] psmouse serio1: elantech: assuming hardware version 4 (with firmware version 0x495f01)
[ 1750.179735] psmouse serio1: elantech: Synaptics capabilities query result 0x70, 0x15, 0x0e.

There is only one psmouse.ko in /lib/modules:

$ find /lib/modules -name psmouse.ko
/lib/modules/3.13.0-24-generic/updates/psmouse.ko

Sure, "locate psmouse.ko" finds the old module that dkms backed up in /var/lib/dkms/psmouse/original_module/3.13.0-24-generic/x86_64/psmouse.ko, but surely this isn't the one that's loading on boot, right? It seems something else is going on. I just wish I knew what. Thoughts?

lohith (lohithmv019) wrote :

Its not working after updating to new kernel version 3.13.0-35-generic ,new patches are available ?

Daniel Ceregatti (dlniel) wrote :

Answering my own question: Turns out the old psmouse was in the initramfs so running update-initramfs -u -k all and rebooting fixed it.

Also attempting to answer lohith's question: You have re-install the driver for every new kernel until support is added upstream. Just repeat the dkms commands, and run the update-initramfs command above, and you should be good.

Thor K. H. (nitrolinken) wrote :

Regarding comment #137 and its effect, I feel it is worthwhile mentioning that the ldtarball does not work for the ElanTech touchpad within the Fujitsu Celsius H730.

There, the touchpad does not _work at all_, unlike here where multitouch features are a miss. There's bug #1300427 for that issue though, but these two seem somewhat related.

If there is any data that would be relevant to this bug, then I'd be glad to provide it.

Matt (daringseal) wrote :

I'm using an ASUS TP500L laptop running 14.04 with an Elantech touchpad. Xinput lists it as an "ETPS/2 Elantech Touchpad" initially and Unity settings shows me the Touchpad area. However, it is entirely unresponsive to any form of input. I have tried the fix in #137 and it changes nothing. I have tried a couple of other dkms based fixes which have the same effect as reloading the psmouse with a bare protocol, giving me a generic PS/2 mouse and no multitouch or scrolling features. Should I post any logs?

Ali Najafi (alinajafi) wrote :

#137 and #167 helped me on Lenovo G5070 to have multitouch working (edge scrolling, two-finger scrolling, two-finger right-click, right and middle clicks on corners). However it broke the physical right click.

mika (mikavour) wrote :

I just want to report that Elantech touch-pad still not working in a new asus tp500la with bios verison 203, under ubuntu 14.04, 64bit, kernel version 3.13.0-40-generic. The touch-pad is recognized as PS/ Elanctech BUT is not working at all (no response at all) After
sudo modprobe -r psmouse
sudo modprobe psmouse proto=imps
the touch pad is recognized as PS mouse. BUT there is no touch-pad functionality, which means no scrolling, no two finger click, and most important, no deactivation during typing.

Damon Hartman (area51pilot) wrote :

Same issue for me. Latest attempt was loading Kernel 3.18 but still inop as full feature touchpad. Can only load and use as a ps2/mouse.

Trent Robbins (robbintt) wrote :

Fix #137 worked for me:

Linux patterntop 3.13.0-43-generic #72-Ubuntu SMP Mon Dec 8 19:35:06 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux

Lenovo Z50-70
aka Lenovo Z50 70

Trent Robbins (robbintt) wrote :

Fix #137 worked for me when combined with the modification/bugfix in #161:

Linux patterntop 3.13.0-43-generic #72-Ubuntu SMP Mon Dec 8 19:35:06 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux

Lenovo Z50-70
aka Lenovo Z50 70

HOWEVER - this broke my right click exactly as described in #161. I opted to keep the broken right touch pad because the double tap seems to bring up the right click menu.

After thinking about it, I implemented the fix in the #161 link to the tar.gz file provided in #137.

This is verified working! Thanks everyone and #161 I hope you either figured this out or see this.

Talorin (talorin) wrote :

@Trent Robbins
Can you post the joined (#161 & #137) fix?

Dasder Letzte (ulmales) wrote :

@ Daniel Ceregatti
had the same problem that I had to reenter rmmod/modprobe after every boot, but update-initramfs -u -k all solved it for me as well - thanks!

@Trent Robbins
Can you post the joined fix (#161 & #137) ? i'm having the same problem.

dormux (0926889-o) wrote :

Hi there. I combined #161 with #137. Rightclick and multitouch now working on my Lenovo g50-70. Like @Trent Robbins verified, this should also fix the rightclick issue on the z50-70. You can use the dkms package from the attachment using:

sudo dkms ldtarball psmouse-elantech-x551c-G50-70.tar.gz
sudo dkms install -m psmouse -v elantech-x551c-G50-70

sudo rmmod psmouse
sudo modprobe psmouse

Trent Robbins (robbintt) wrote :

@dormux Are you occasionally getting an error where your mouse doesn't work and you have to rmmod psmouse / modprobe psmouse to reset the driver?

dormux (0926889-o) wrote :

Hi. No never experienced such behaviour. I'm using the modified driver since i wrote these lines above and never had any issues.

Alessio Treglia (quadrispro) wrote :

This affects my laptop (Lenovo Yoga 3 11.6" 2-in-1):

ubuntu@ubuntu:~$ lsusb
Bus 001 Device 002: ID 8087:8001 Intel Corp.
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 003 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 002 Device 006: ID 8087:07dc Intel Corp.
Bus 002 Device 005: ID 1bcf:2c43 Sunplus Innovation Technology Inc.
Bus 002 Device 004: ID 04f3:2052 Elan Microelectronics Corp.
Bus 002 Device 003: ID 0bda:0129 Realtek Semiconductor Corp. RTS5129 Card Reader Controller
Bus 002 Device 002: ID 058f:6387 Alcor Micro Corp. Flash Drive
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub

Presumably the touchpad is the following line then:
  Bus 002 Device 004: ID 04f3:2052 Elan Microelectronics Corp.

Excerpt of /proc/bus/input/devices:

I: Bus=0018 Vendor=04f3 Product=0400 Version=0100
N: Name="ELAN0600:00 04F3:0400"
P: Phys=
S: Sysfs=/devices/pci0000:00/INT3433:00/i2c-8/i2c-ELAN0600:00/0018:04F3:0400.0003/input/input13
U: Uniq=
H: Handlers=mouse1 event12
B: PROP=0
B: EV=17
B: KEY=30000 0 0 0 0
B: REL=143
B: MSC=10

The touchscreen works fine, as well as both left and right clicks. Just the multitouch doesn't work at all.

More details on the system:

ubuntu@ubuntu:~$ uname -a
Linux ubuntu 3.16.0-23-generic #31-Ubuntu SMP Tue Oct 21 17:56:17 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux
ubuntu@ubuntu:~$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 14.10
Release: 14.10
Codename: utopic

Also I grepped syslog for elan:
ubuntu@ubuntu:~$ grep -i elan /var/log/syslog
Feb 17 01:53:37 ubuntu kernel: [ 17.373586] usb 2-5: Manufacturer: ELAN
Feb 17 01:53:38 ubuntu kernel: [ 28.061105] input: ELAN Touchscreen as /devices/pci0000:00/0000:00:14.0/usb2/2-5/2-5:1.0/0003:04F3:2052.0001/input/input11
Feb 17 01:53:38 ubuntu kernel: [ 28.067747] hid-multitouch 0003:04F3:2052.0001: input,hiddev0,hidraw0: USB HID v1.10 Device [ELAN Touchscreen] on usb-0000:00:14.0-5/input0
Feb 17 01:53:38 ubuntu kernel: [ 28.272108] i2c_hid i2c-ELAN0600:00: error in i2c_hid_init_report size:633 / ret_size:7
Feb 17 01:53:38 ubuntu kernel: [ 28.274418] i2c_hid i2c-ELAN0600:00: error in i2c_hid_init_report size:69 / ret_size:7
Feb 17 01:53:38 ubuntu kernel: [ 28.274589] input: ELAN0600:00 04F3:0400 as /devices/pci0000:00/INT3433:00/i2c-8/i2c-ELAN0600:00/0018:04F3:0400.0003/input/input13
Feb 17 01:53:38 ubuntu kernel: [ 28.275039] hid-generic 0018:04F3:0400.0003: input,hidraw1: <UNKNOWN> HID v1.00 Mouse [ELAN0600:00 04F3:0400] on

AFAICS the issue still affects Vivid too.

Changed in linux (Ubuntu):
status: Fix Released → Confirmed
Alessio Treglia (quadrispro) wrote :

ubuntu@ubuntu:~$ xinput --list
⎡ Virtual core pointer id=2 [master pointer (3)]
⎜ ↳ Virtual core XTEST pointer id=4 [slave pointer (2)]
⎜ ↳ ELAN Touchscreen id=9 [slave pointer (2)]
⎜ ↳ ELAN0600:00 04F3:0400 id=12 [slave pointer (2)]
⎣ Virtual core keyboard id=3 [master keyboard (2)]
    ↳ Virtual core XTEST keyboard id=5 [slave keyboard (3)]
    ↳ Power Button id=6 [slave keyboard (3)]
    ↳ Video Bus id=7 [slave keyboard (3)]
    ↳ Power Button id=8 [slave keyboard (3)]
    ↳ Lenovo EasyCamera id=10 [slave keyboard (3)]
    ↳ Ideapad extra buttons id=11 [slave keyboard (3)]
    ↳ AT Translated Set 2 keyboard id=13 [slave keyboard (3)]

tags: removed: 12.10 13.04 kernel-unable-to-test-upstream staging ubuntu
George Moutsopoulos (gmoutso) wrote :

mika, I also have the asus TP500LN and this seems to be a different problem to this bug.

Description of bug is mouse does not work at all. Dmesg gives "lost sync at byte 6" messages. Mouse does work with proto=imps parameter but no two-finger functionality. If this is the same with you, after sudo su try
echo 1 > /sys/devices/platform/i8042/serio4/reg_07
(or serioX?)
and see if it fixes the issue.

For at least asus TP500LN a kernel patch is under consideration
https://bugzilla.kernel.org/show_bug.cgi?id=84491
https://www.marc.info/?t=142731893400011
Many thanks to Ulrik de Bie!

Perhaps you can post on bugzilla that it affects TP500LA too.

George Moutsopoulos (gmoutso) wrote :

Forgot @mika: Elantech device ETD0108

The package in comment #137 fixed the bug on a Packard Bell (Acer) EasyNote ENTG71BM.

james (thejamesbradwell) wrote :

@gmoutso, I have TP500L here, your fix returns,

"bash: /sys/devices/platform/i8042/serio4/reg_07: No such file or directory"

In fact, it seems any bash command in /sys returns the same error, No such file or directory. Any ideas?

james (thejamesbradwell) wrote :

Never mind, I had modprobed psmouse proto=imps, and fixed the issue by running the command:

sudo rmmod psmouse && sudo modprobe psmouse

My touchpad is now working with full functionality. I also found the following instructions to automate this command on boot and create scripts to run it on resume from suspend/hibernate:

To enable the Touchpad you'll need to do the following from terminal:

1. sudo nano /etc/rc.local
2. Add the following line before the exit command. (sudo bash -c 'echo 1 > /sys/devices/platform/i8042/serio4/reg_07')
3. press CTRL+O then press Enter.

this will enable the touch-pad on start-up but it might stop working when suspended and/or hibernated. a workaround for this is:

1. sudo nano /etc/pm/sleep.d/sr-enable

and copy the following to the file

#!/bin/bash

case "$1" in
    suspend)
        ;;
    resume)
       sudo bash -c 'echo 1 > /sys/devices/platform/i8042/serio4/reg_07'
        ;;
    *)
        ;;
esac

3. press CTRL+O then press Enter.

4. sudo nano /etc/pm/sleep.d/ht-enable

5. again copy this

#!/bin/bash

case "$1" in
    hibernate)
        # executed on suspend
        ;;
    thaw)
        sudo bash -c 'echo 1 > /sys/devices/platform/i8042/serio4/reg_07' # executed on resume
        ;;
    *)
        ;;
esac

6. press CTRL+O then press Enter.

7. then (sudo chmod +x /etc/pm/sleep.d/ht-enable && sudo chmod +x /etc/pm/sleep.d/sr-enable)

8. then issue the following command ( sudo update-initramfs -u -k all )

Courtesy of "Халид (halidrauf)" in comment #11 (https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1379450)

Thank you George Moutsopoulos and Ulrik de Bie!

Inkstone (phaedrus567) wrote :

This appears to affect the HP Pavilion 14t-ab000. (First bug report, apologies if incorrect).

tap to click, right click, and left click work. Mutitouch, disable touchpad with keyboard activity, as well as sensitivity settings don't work.

Trackpad, via xinput, detect as a "PS/2 Elantech Touchpad"

dmesg | grep psmouse results:
      psmouse: module verification failed: signature and/or required key missing - tainting kernel
      psmouse serio1: elantech: unknown hardware version, aborting...

Kernels tried: 3.19.6, 4.1.6

Tried patch from comment #137, doesn't seem to help.

Booted into Manjaro - same messages in dmesg and xinput

Giovanni (giovanni-avd) wrote :

I have the same problem in HP 14-ab019la..

"tap to click, right click, and left click work. Mutitouch, disable touchpad with keyboard activity, as well as sensitivity settings don't work.

Trackpad, via xinput, detect as a "PS/2 Elantech Touchpad"

dmesg | grep psmouse results:
      psmouse: module verification failed: signature and/or required key missing - tainting kernel
      psmouse serio1: elantech: unknown hardware version, aborting..."

I try.. Ubuntu 14.04 LTS, 15.04 and 15.10 beta. whith all updates

man (manoalberto90) on 2015-09-23
Changed in linux (Ubuntu):
assignee: Joseph Salisbury (jsalisbury) → man (manoalberto90)
Owen (haedrichowen) wrote :

I have the exact same problem as him

"I have the same problem in HP 14-ab019la..

"tap to click, right click, and left click work. Mutitouch, disable touchpad with keyboard activity, as well as sensitivity settings don't work.

Trackpad, via xinput, detect as a "PS/2 Elantech Touchpad"

dmesg | grep psmouse results:
      psmouse: module verification failed: signature and/or required key missing - tainting kernel
      psmouse serio1: elantech: unknown hardware version, aborting..." "

I have the exact same problem as him

"I have the same problem in HP 14-ab102tx

"tap to click, right click, and left click work. Mutitouch, disable touchpad with keyboard activity, as well as sensitivity settings don't work.

Trackpad, via xinput, detect as a "PS/2 Elantech Touchpad"

dmesg | grep psmouse results:
      psmouse serio1: elantech: unknown hardware version, aborting..."

Changed in linux (Ubuntu):
status: Confirmed → Fix Committed
Changed in linux (Ubuntu):
assignee: man (manoalberto90) → arushi (arushisinghal19971997)
status: Fix Committed → Confirmed
frank101m (p-lemus-fm) wrote :

I have the same problem as arushi, my touchpad lacks multitouch. No dkms driver or kernel solved it. I also have a similar laptop regarding hardware (hp pavilion ab series) with an elantech touchpad, device is listed as ps/2 Elantech Touchpad and I have the same exact output for

dmesg | grep psmouse:
psmouse serio1: elantech: unknown hardware version, aborting...

I am on kernel 3.19 but I also tried other distros with the latest lts kernel (4.4) even in rolling releases, still no full support.

farhan (farhan0581) wrote :

The same situation here as Arushi , I have an HP pavilion 14-ab042TX laptop.The touchpad supports basic functionalities like single click but no multitouch and two finger scroll.
I am using ubuntu 16.04 and kernel is 4.4.0-36-generic. The output of xinput is :

 Virtual core pointer id=2 [master pointer (3)]
⎜ ↳ Virtual core XTEST pointer id=4 [slave pointer (2)]
⎜ ↳ PS/2 Elantech Touchpad id=12 [slave pointer (2)]
⎣ Virtual core keyboard id=3 [master keyboard (2)]
    ↳ Virtual core XTEST keyboard id=5 [slave keyboard (3)]
    ↳ Power Button id=6 [slave keyboard (3)]
    ↳ Video Bus id=7 [slave keyboard (3)]
    ↳ Video Bus id=8 [slave keyboard (3)]
    ↳ Power Button id=9 [slave keyboard (3)]
    ↳ HP Truevision HD id=10 [slave keyboard (3)]
    ↳ AT Translated Set 2 keyboard id=11 [slave keyboard (3)]
    ↳ HP WMI hotkeys id=13 [slave keyboard (3)]
    ↳ HP Wireless hotkeys id=14 [slave keyboard (3)]
When i do xinput list-props 12 , it shows:

Device 'PS/2 Elantech Touchpad':
 Device Enabled (168): 1
 Coordinate Transformation Matrix (170): 1.000000, 0.000000, 0.000000, 0.000000, 1.000000, 0.000000, 0.000000, 0.000000, 1.000000
 Device Accel Profile (289): 0
 Device Accel Constant Deceleration (290): 1.000000
 Device Accel Adaptive Deceleration (291): 1.000000
 Device Accel Velocity Scaling (292): 10.000000
 Device Product ID (285): 2, 1
 Device Node (286): "/dev/input/event6"
 Evdev Axis Inversion (293): 0, 0
 Evdev Axes Swap (295): 0
 Axis Labels (296): "Rel X" (178), "Rel Y" (179)
 Button Labels (297): "Button Left" (171), "Button Middle" (172), "Button Right" (173), "Button Wheel Up" (174), "Button Wheel Down" (175)
 Evdev Scrolling Distance (298): 0, 0, 0
 Evdev Middle Button Emulation (299): 0
 Evdev Middle Button Timeout (300): 50
 Evdev Third Button Emulation (301): 0
 Evdev Third Button Emulation Timeout (302): 1000
 Evdev Third Button Emulation Button (303): 3
 Evdev Third Button Emulation Threshold (304): 20
 Evdev Wheel Emulation (305): 0
 Evdev Wheel Emulation Axes (306): 0, 0, 4, 5
 Evdev Wheel Emulation Inertia (307): 10
 Evdev Wheel Emulation Timeout (308): 200
 Evdev Wheel Emulation Button (309): 4
 Evdev Drag Lock Buttons (310): 0
On doing dmesg | grep elantech gives:
[ 3.547709] psmouse serio1: elantech: unknown hardware version, aborting...
This message is also displayed every time I boot ubuntu.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.